BEGIN 1xAEON01


IF~Global("AeonFirstTalk","GLOBAL",1)~ THEN BEGIN AEON01
SAY~Oh, marvelous! You have no sense of time! Now kill them. 'Thine work, thine blade, thine fire'.~ [Aeon045]
IF~~THEN DO ~SetGlobal("AeonFirstTalk","GLOBAL",2)~ EXIT
END

IF~Global("AeonFirstTalk","GLOBAL",4)~ THEN BEGIN AEON02
SAY ~What a stupid act... In Myth Drannor, you would die because of such a 'non-perfection'. But... As you like. I am Aeon, an adventurer. The man of fire, Moonblade wielder, the one who you will admire, the one who stands in place, here next to you. Are you friend or foe? You do not seem to be allied with the undead, so speak your name, <RACE>!~  [Aeon046]
IF~~THEN REPLY ~I am <CHARNAME>. What are you doing in place like this?!~ GOTO AEON03
IF~~THEN REPLY ~I am <CHARNAME>.~ GOTO AEON03
IF~~THEN REPLY ~It's not your business, Aeon.~ GOTO AEON04
IF~~THEN REPLY ~Get lost.~ GOTO AEON05
END

IF~~THEN BEGIN AEON04
SAY ~I would like to know who I am speaking to. Tell this poet. What is your name? (Aeon looks at you imploringly.)~
IF~~THEN REPLY ~<CHARNAME>. What are you doing here?~ GOTO AEON03
IF~~THEN REPLY ~<CHARNAME>.~ GOTO AEON03
IF~~THEN REPLY ~Get lost.~ GOTO AEON05
END

IF~~THEN BEGIN AEON03
SAY ~As I have said, I am Aeon. I was wandering through this place and thinking about the traps, then I happened to stumble into you - <CHARNAME> and well…you know the rest of the story. Tell me, what are you doing in place like this? ~ [Aeon048]
IF~~THEN REPLY ~I am simply helping others.~ GOTO AEON06
IF~~THEN REPLY ~I am looking for some gold.~ GOTO AEON06
IF~~THEN REPLY ~I... was looking for a tavern.~ GOTO AEON07
IF~~THEN REPLY ~I wanted to kill some of these undead bastards.~ GOTO AEON06
IF~~THEN REPLY ~Get lost.~ GOTO AEON05
END

IF~~THEN BEGIN AEON07
SAY~Hmm... Strange...~
IF~~THEN GOTO AEON06
END

IF~~THEN BEGIN AEON06
SAY~However, it is good enough for me.~
IF~~THEN GOTO AEON08
END

IF~~THEN BEGIN AEON08
SAY~(You realized that this man is holding Moonblade - a powerful sword. You then recognize where you have seen such a thinglike this before... in hands of Xan, one of your former companions in Baldur’s Gate.)~
IF~~THEN REPLY ~That sword you carry, is it a Moonblade?~ GOTO AEON09
IF~~THEN REPLY ~A moonblade? I thought only Xan was capable of wielding one?~ GOTO AEON09
END

IF~~THEN BEGIN AEON09
SAY~I will tell you the story, if you are intent on being so inquisitive about it. This is indeed a Moonblade – a powerful elven sword of myth. I found it in Myth Drannor and it accepted me. Strange because according to what I understand, only elves are able to wield it. ~
IF~~THEN GOTO AEON10
END

IF~~THEN BEGIN AEON10
SAY~I have found some other things in Myth Drannor, but that does not matter to me now.~
IF~~THEN GOTO AEON11
END

IF~~THEN BEGIN AEON11
SAY~I can see that you might be in need of thief in such a place as this. For the price of 500 gold pieces, I shall travel with you and serve you faithfully. My sword and  my skills, are yours to command.~
IF~PartyGoldGT(499)~THEN REPLY ~Hmm, I think it may be a good idea. I will pay.~ GOTO AEON12
IF~~THEN REPLY ~Get lost.~ GOTO AEON05
IF~PartyGoldLT(500)~THEN REPLY ~I haven't got enough gold.~ GOTO AEON13
END

IF~~THEN BEGIN AEON13
SAY ~A pity. Fare thee well then.~
IF~~THEN DO~EscapeArea()~ EXIT
END

IF~~THEN BEGIN AEON05
SAY ~Ah, I thought you would be less... vulgar.~
IF~~THEN DO~EscapeArea()~ EXIT
END

IF~~THEN BEGIN AEON12
SAY ~You are smart, my friend.~ [Aeon047]
IF~~THEN DO~SetGlobal("AeonFirstTalk","GLOBAL",5) TakePartyGold(500) DestroyGold(500) JoinParty()~ EXIT
END


BEGIN 1xAEO01P

IF~Global("AeonLeftTheParty","GLOBAL",0)~THEN BEGIN AEON14
SAY~You want me to leave? I do not wish to do so, but you are the leader. I must warn you though, I shall depart from your company to accomplish my task on my own.~ [Aeon049]
IF~~THEN REPLY ~Leave party, please.~ GOTO AEON15
IF~~THEN REPLY ~Then stay with us, Aeon.~ GOTO AEON16
END

IF~~THEN BEGIN AEON15
SAY ~I thought we would...thy end is here, dark wings, we will meet no more. '~
IF~~THEN DO~SetGlobal("AeonLeftTheParty","GLOBAL",1) EscapeArea()~ EXIT
END

IF~~THEN BEGIN AEON16
SAY ~I will.~
IF~~THEN DO~JoinParty()~ EXIT
END
